Bug 111786 - comms/hylafax: update to 4.3.3
comms/hylafax: update to 4.3.3
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-17 20:50 UTC by eps+pbug0704
Modified: 2007-09-09 12:40 UTC (History)
0 users

See Also:


Attachments
file.diff (6.92 KB, patch)
2007-04-17 20:50 UTC, eps+pbug0704
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description eps+pbug0704 2007-04-17 20:50:09 UTC
1. Update to hylafax 4.3.3
2. Enable JBIG send (receive has to wait for an updated graphics/tiff)
3. Add GHOSTSCRIPT dependency
4. Make portlint a little happier
5. Change "cuaa1" to "cuad1" in pkg-message.in (sigh)
6. Add some @dirrmtry lines to pkg-plist

Why is there a DIST_SUBDIR?  Can it go away?

Important: I have not tested this to check if it behaves properly
at run time.  Please do so before committing this update.  Thanks!
Comment 1 Edwin Groothuis freebsd_committer 2007-04-17 20:50:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 eps+pbug0704 2007-04-17 21:01:53 UTC
"Ye forgot the -r, matey!"
"Aye, Cap'n."

--- /usr/ports/comms/hylafax/files/pkg-message.in	Sat Oct  7 06:37:40 2006
+++ comms/hylafax/files/pkg-message.in
@@ -5,7 +5,7 @@
 	Invoke %%PREFIX%%/sbin/faxsetup, and answer the questions.
 	Mostly, accepting the defaults should work well.
 
-	When you are asked to specify the name of tty device, use "cuaa1"
+	When you are asked to specify the name of tty device, use "cuad1"
 	instead of "ttyd1".  Otherwise it does not work well.
 
 	Consult %%PREFIX%%/etc/rc.d/hylafax.sh.sample for startups.
@@ -13,7 +13,7 @@
 	For accepting incoming FAX/data calls, modify /etc/ttys as below
 	and send SIGHUP to init process:
 
->cuaa1	"%%PREFIX%%/sbin/faxgetty"	dialup	on secure
+>cuad1	"%%PREFIX%%/sbin/faxgetty"	dialup	on secure
 
 Be sure to rerun %%PREFIX%%/sbin/faxsetup after updating your hylafax version
Comment 3 W.J.Zwart 2007-05-14 20:55:45 UTC
I approve this patch, thanks Eric!
However, in the meantime 4.3.4 has been released, so a next patch will
come shortly

Willem Jaap
Edwin Groothuis wrote:
> Maintainer of comms/hylafax,
>
>
> Please note that PR ports/111786 has just been submitted.
>
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
> http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/111786
>
>
> --
> Edwin Groothuis
> edwin@FreeBSD.org
>
>
Comment 4 Mark Linimon freebsd_committer 2007-05-15 22:10:54 UTC
State Changed
From-To: feedback->suspended

Approved by maintainer, but he has a new update pending.  In the mean time, 
we're in a ports freeze.
Comment 5 Mark Linimon freebsd_committer 2007-07-09 15:47:22 UTC
State Changed
From-To: suspended->closed

Superseded by ports/112667.
Comment 6 dfilter freebsd_committer 2007-09-09 12:38:40 UTC
edwin       2007-09-09 11:38:35 UTC

  FreeBSD ports repository

  Modified files:
    comms/hylafax        Makefile distinfo pkg-plist 
    comms/hylafax/files  pkg-message.in 
  Log:
  comms/hylafax: update to 4.3.3
  
          1. Update to hylafax 4.3.3
          2. Enable JBIG send (receive has to wait for an updated graphics/tiff)
          3. Add GHOSTSCRIPT dependency
          4. Make portlint a little happier
          5. Change "cuaa1" to "cuad1" in pkg-message.in (sigh)
          6. Add some @dirrmtry lines to pkg-plist
  
  upgrade of the comms/hylafax from 4.3.3 to 4.3.4
  
          This is an patch to upgrade Hylafax 4.3.3 to 4.3.4
  
  PR:             ports/111786, ports/112667
  Submitted by:   "Eric P. Scott" <eps+pbug0704@ana.com>, Willem Jaap Zwart<W.J.Zwart@NescioLudens.nl>
  Approved by:    maintainer timeout, maintainer
  
  Revision  Changes    Path
  1.83      +8 -9      ports/comms/hylafax/Makefile
  1.24      +3 -3      ports/comms/hylafax/distinfo
  1.3       +2 -2      ports/comms/hylafax/files/pkg-message.in
  1.19      +26 -9     ports/comms/hylafax/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"